# generator-jumper

Генератор для [Yeoman](http://yeoman.io) от Jump Creative Agency.


## Вводное руководство

### Что такое Yeoman?

Yeoman — инструмент для инициализации проектов (scaffolder). Подробнее можно 
узнать [на сайте Yeoman](http://yeoman.io) или [в моей статье на frontender.info](http://frontender.info/skaffolding-dlya-frontenderov/)

Для его установки выполните команду:

```
$ npm install -g yo
```

Yeoman подразумевает использование [Grunt](http://gruntjs.com) и
[Bower](http://bower.io) и установит их сам, если этого не было
сделано ранее.

### generator-jumper

Для установки генератора «Jumper» из npm установите `yo` и выполните команду

```
$ npm install -g generator-jumper
```

Для инициализации нового проекта запустите генератор командой

```
$ yo jumper
```

### Компоненты генератора

Изначально генератор включает в себя [HTML5Boilerplate](http://h5bp.com) и [jQuery](http://jquery.com). Также на выбор предоставляется возможность разворачивания фреймворка [Twitter Bootstrap 3](http://getbootstrap.com) или [Zurb Foundation 4](http://foundation.zurb.com). Вы можете отказаться от использования фреймворка — в таком случае css-файл проекта будет содержать Normalize.css.
Выбрав фреймворк вы можете согласиться с использованием Sass-версии выбранного фреймворка, или отказаться от неё и получить его css-версию.
Следующим шагом инициализации является выбор некоторых дополнительных компонентов:

* [Modernizr](http://modernizr.com) (пока только как [генератор для Grunt](https://npmjs.org/package/grunt-modernizr), по умолчанию включено)
* [Handlebars.js](http://handlebarsjs.com) (по умолчанию отключено)
* [Autoprefixer](https://github.com/ai/autoprefixer) (как [таск для Grunt](https://npmjs.org/package/grunt-autoprefixer), по умолчанию отключен)
* [fastClick](https://github.com/ftlabs/fastclick) для
исключения задержки тапов в тач-устройствах (по умолчанию включено). 

Последним шагом «Jumper» предложит включить в html-файл кросс-браузерный набор
фавиконок (по умолчанию отключено).

## Лицензия

[Лицензия MIT](http://en.wikipedia.org/wiki/MIT_License)

## Информация для контрибьюторов

Мы будем вам благодарны за помощь в разработке. Если вы знаете как
исправить существующую ошибку или нашли новую, просим, создав 
тематическую ветку и, сделав необходимые правки, отправить нам пулл-реквест или написать об ошибке в [Issue](https://github.com/lancedikson/generator-jumper/issues).

## В планах

Планирую добавить следующие таски и плагины:

* [grunt-webfont](https://npmjs.org/package/grunt-webfont)
* [grunt-csscomb](https://npmjs.org/package/grunt-csscomb)
* [grunt-pagespeed](https://github.com/jrcryer/grunt-pagespeed)
* [grunticon](https://github.com/filamentgroup/grunticon)
* [grunt-uncss](https://github.com/addyosmani/grunt-uncss)
* [grunt-responsive-images](https://github.com/andismith/grunt-responsive-images)
* [grunt-bower-requirejs](https://github.com/yeoman/grunt-bower-requirejs)
